package org.objectweb.jonas.jtests.beans.ejbql;

import java.rmi.RemoteException;
import java.util.Collection;

import javax.ejb.FinderException;

// Reservation EJB's remote home interface
public interface ReservationHomeRemote extends javax.ejb.EJBHome  {

    public ReservationRemote create(Integer cruiseid, Collection customers)
                      throws javax.ejb.CreateException, RemoteException;;

    public ReservationRemote findByPrimaryKey(Object primaryKey)
                      throws javax.ejb.FinderException, RemoteException;

    public Collection findAllReservations() throws FinderException, RemoteException;
    
    public Collection findReservationsWithLesserAmount() throws FinderException, RemoteException;
    
    public Collection findOrderedRsrv() throws FinderException, RemoteException;

    public long getCountOfReservations() throws FinderException, RemoteException;

    public double getMinAmountOfReservations() throws FinderException, RemoteException;
    
    public double getMinAmountForCruise(String cName) throws FinderException, RemoteException;

    public double getMaxAmountOfReservations() throws FinderException, RemoteException;
    
    public Collection getAmountsForCruise(String cName) throws FinderException, RemoteException;

    public long getCountOfReservationsForCustomer(Integer customerId)
        throws FinderException, RemoteException;

    public double getAmountOfReservationsForCustomer(Integer customerId)
        throws FinderException, RemoteException;
}

